Postfix Broken in v2.2?



  • Hi,

    It may just be me, but when I try to start Postfix in v2.2, I get the following error (in the system log),
    postfix/postfix-script[5006]: fatal: no Postfix daemon directory /usr/local/libexec/postfix!

    And this directory is empty / missing. Is this expected?

    As a side note, is Postfix built with TLS (v1.1) support?

    Thanks!



  • You mean the postfix package?  Was that in the Available Packages list?

    It did need some PHP changes but I thought those had been done.  Maybe just not built for 2.2 yet.

    Edit:  Maybe now that the World Cup is over….  ;D



  • Hi,

    Yes, correct - Postfix Forwarder. It's on the list (though I had to disable signature checking … is that perhaps a sign that it's not ready currently)?

    I'm actually trying to use it to fix another issue (that Notifications cannot be sent through an external email server, issue with TLS).

    Thanks!



  • Tried this again today and get the following log:

    
    php-fpm[40792]: /pkg_mgr_install.php: The command '/usr/local/etc/rc.d/postfix.sh stop' returned exit code '1', the output was 'kill: 12044: No such process Shared object "libsasl2.so.3" not found, required by "master" Shared object "libsasl2.so.3" not found, required by "master" Shared object "libsasl2.so.3" not found, required by "master" Shared object "libsasl2.so.3" not found, required by "master" Shared object "libsasl2.so.3" not found, required by "master"'